BlindRead / BlindWrite Manual - Welcome

WELCOME

Blindwrite Suite is the perfect tool to reproduce any kind of CD.

Click here to discover the suite.


BlindRead / BlindWrite Manual - Introduction

User's Guide

Thank you for trying / using the Blindread and/or Blindwrite software.

Blindread is a tool designed to read any kind of CD, even if this CD contains bad sectors, unreadable parts or anti-copy schemes.

Blindwrite is a raw mode CD writing software, able to write almost any kind of CD. The natural format of Blindwrite is a CD image generated by Blindread.

Introduction:

This manual describes the two basic steps to achieve a correct CD duplication.

1 - Reading the source CD with Blindread

2 - Writing the destination CD with Blindwrite

Disclaimer:

* Due to technological choice of Blindread and Blindwrite, this utility can produce perfect copies of copyrighted material. You must verify that you are fully entitled to produce any copy of copyrighted material, otherwise, you may infringe property rights. Please ask your legal advisor if you are unsure about your rights.

* All Brand Names and Trademarks in this manual are the property of their respective owners.

* This manual is copyrighted VSO 2000-2002


BlindRead / BlindWrite Manual - Contacts & links

E-mail address:

If you have any problems, questions or feedback, feel free to contact us:

French, English: blindread@blindread.com

German: philipp@blindread.com

Don't forget to include the following details in your email:

* The name/version of your operating system

* The exact version number of the used software

* Your hardware brand / model

* A description of your problem, and the context in which the problem occurs

* If you receive an error or error code, please include the exact text and code displayed.

* If you are a registered user, include your registration ID (not the unlock code!) for faster processing.

E-mails from unregistered user:

We really want to answer all emails, no matter if they come from a registered or unregistered user. Nevertheless, sometimes it is impossible to answer every message, especially questions where you can already find the response in the documentation.

So, we can't guarantee systematic responses for emails from unregistered users. To guarantee a response, please include your order ID that comes with RegNow or ShareIT.

Links:

Official Web Site: http://www.blindwrite.com
Official Forum: http://www.cdrforum.cc


BlindRead / BlindWrite Manual - About

About

This manual has been written for versions 4.x of the BlindWrite Suite.

Authors: Wesson, Millenod, Philipp

If you have any remarks, or suggestions about this manual, please contact us:


Short registration manual

In this section, you'll find:

* Entering unlock codes: Some explanations to help you if you experience problems with your unlock code.

* Why, When, How: Why registering, When you should register, How to register.

* Rregistration form: To order please connect on your website


Short Registration manual - Entering unlock code

Entering unlock codes

If you are using an unregistered version, this screen will appear at startup:

The TEST button doesn't appear at startup, but only after a small delay.

Entering the unlock code:

After you've ordered a license, you'll receive the unlock key by email.

NOTE: Please use a valid e-mail address, otherwise you won't obtain the code.

If you need to contact us please always use the same email address.
This allows us to sort your messages and treat emails from registered users with priority.

Once you have obtained a proper unlock code, you may enter it in the "registration code" edit box

Click the [image] button.

If your code is valid, the software will switch to registered mode immediately, and this screen will never appear again.

If you had an error with the unlock code, this error is reported.

Please contact us if you experience such problems with a valid key.

CAUTION:

* SYSTEM CLOCK MUST BE PROPERLY SET TO ENTER THE UNLOCK KEY

* CODE MUST BE ENTERED EXACTLY AS YOU HAVE RECEIVED IT, INCLUDING CASE, SPACES, AND SIGNS.

* TAKE CARE OF THE LETTER O, WHICH MAY BE CONFUSED WITH THE NUMBER 0 (ZERO)

* TAKE CARE OF THE LETTER I, WHICH MAY BE CONFUSED WITH THE NUMBER 1 (ONE)

To avoid any code mistyping, you shall use the clipboard:

1 - Highlight the unlock code you have received by email with your mouse

2 - Copy the code into the clipboard (right-click and select copy, or use key combination <CTRL+C>)

3 - The code will automatically be inserted in the right place, just click the [image] button to switch to registered mode.


Short Registration manual - Why, When, How to Register

Why registering?

The registration costs you money, so why should you register? There's a stupid reason, and a good reason:

Stupid reason: I've said that Blindread and Blindwrite are not free software, so you have to pay!

Good reason: Blindread and Blindwrite are far from perfect. To improve them constantly, time and skills are required. To obtain that, we need some money. Without a doubt it's a bad solution, but it's the only one we have found to provide updates and improvements as frequently as possible.

Trial version

Blindread and Blindwrite come with a FREE trial period. Anyone can use it for trial purpose, there is no functional limitation during the trial. To guarantee the trial of a fresh version, trial versions expire at a given date (usually 2 or 3 months after the release date). There is ALWAYS a free trial available on this site:

Blindwrite suite download Page

When are you expected to register?

Blindread/Blindwrite have strong hardware requirements. You must first determine if your hardware is compatible with BR/BW.

Take the liberty to extract and reproduce some CD's you never managed to reproduce with other CD recording software (before you create any copy please verify that you are entitled to produce this copy - PLEASE: DO NOT break the law)

Once you estimated that you have produced enough good CD images or successful copies, you are invited to register.

PLEASE, DO NOT REGISTER TO 'TEST IF IT WORKS'. FOR THAT, USE THE FREE TRIAL. DON'T GIVE AWAY YOUR MONEY !!!

WE DO NOT ACCEPT TO REFUND YOUR REGISTRATION IF YOU HAVE REGISTERED TO TRIAL THE SOFTWARE AND FINALLY FOUND IT DOESN'T WORK PROPERLY.

How?

You can register Blindread / Blindwrite either using

You'll find more explanations at the following adress : http://www.blindwrite.com/register.htm

NOTE: Blindread can no longer be registered separately.

Online registration with a credit card is the safest, cheapest, fastest and easiest way to register.

Thanks to all the people that honestly decide to register. We are proud to be working for you.


BlindRead Manual - Introduction

Introduction:

Blindread is a ultimate CD extraction tool.

It reads the full content of a CD into a CD image file, stored on the hard disk.

No matter whether the source CD contains errors, unreadable parts, non standard portions, scratches, dust or even anti-copy protection schemes, Blindread will read it, and never stop until the read process has completed.

Blindread pushes your CD reader unit to the limit, to give the best of your hardware.

Now, let's start to READ.

Once the read has been completed, Blindwrite is the perfect tool to reproduce a 1:1 copy of the CD you have extracted with Blindread.


BlindRead Manual - Startup Page

The Blindread application can extract the entire content of a given CD into a CD image stored on hard disk.

Step 1: Select an action

Start the application and you see this screen:

The startup page gives you the opportunity to:

* [image] - Extract the full content of a CD-ROM into an image file

* [image] - Unlock a locked CD, or read the CD's Table of content (TOC)

* [image] - Switch to another language

* [image] - Set general parameters


BlindRead Manual - CD access layer Configuration

CD access layer configuration

This step will allow BlindRead to obtain the best performance of your units due to our "Patin-Couffin" driver.
We'll verify that it is correctly installed and working.

Start the application.

Choose "General settings", then click on the "Next >" button.

Click on the "Select / test the CD access layer" button.

We're in the "BlindRead heart".
Here you'll select the driver which controls your CD units.

Choose "VSO Driver (recommended)".
This driver has been specially written for BlindRead\BlindWrite.

Note:
In case you don't want to install our driver, BlindRead can search for other ASPI layers/drivers, that can control your units.
To do so, click on "ASPI layer (Windows default)".
BlindRead will search files on your system that can substitute our driver (this step may take a few minutes).
Select the driver you want to use, then click on the "Ok" button to return to the previous screen, and finally on the "Next" button to return to the startup page.

Click on the "Install / Update" button.

  • If you're using Windows 9x/Me, you are asked to reboot:


BlindRead Manual - Choose CD unit and CD image format

Step 2: Choose CD unit and CD image format

This step allows you to:

  • Select a cd-unit.
  • Select the read attributes.
  • Select the output format and the name of the CD image on HD.

CD Unit Selection:

In the combo box, select the CD unit you want to use for extraction.

We recommend to use a CD writer to create the image, as these units are better to read errors.

Strings listed above contain this information:
example: 1:0:0 - PLEXTOR CD-R PX-W2410A 1.04 [E]

  • 1:0:0 - Host adapter number: Unit ID: Unit location
  • PLEXTOR CD-R PX-W2410A - The CD unit brand/model
  • 1.04 - The software revision of this unit (firmware)
  • [E] - The drive letter to which this unit is mapped in Windows Explorer

Information about the CD:

The CD detection is automatic.
A few seconds after a CD has been detected in the CD unit, you obtain the following information:

  • : The name of the CD as it appears under "My computer".
  • : The exact size of the CD.
    It is erroneous to think that the total size of the files in the CD matches the value displayed here. In RAW extraction, there is often extra data on the CD that is completely invisible from the Windows Explorer. Usually, the data size on CD is BIGGER than the total size displayed by Windows Explorer.
  • : The number of tracks on the CD that contain DATA.
  • : The number of tracks on the CD that contain AUDIO.

Extraction options:

Two options can be configured for extraction:

  • Use the alternative read method:

Information:
Some CD's may contain lots of sectors with uncorrectable C2 errors.
In theory, these sectors can't be read, in fact, a CD reader may read it, but at the cost of a huge slowdown. With alternative read method the extraction speed is not affected by this kind of sectors.
So, a CD that takes several hours to read with safe method may only need 10 minutes to read in alternative read.

There are 2 problems with alternative read.

Problems:

Unsafe:
All the error correction is disabled, so no difference can be made between wanted and unwanted errors. A CD reader which is VERY GOOD at fast audio extraction should be ok for alternative read.
Plextor units are the safest for alternative read.

Unsupported:
 Alternative read is not supported on all CD units. In that case, you'll see "Alt. read ISN'T supported" displayed, like in the snapshot above.

Messages returned by the application:
- "Alt. read ISN'T supported": Your unit doesn't support this read mode.
- "Alt. read IS supported": Your unit supports this read method, but use it with precaution. We don't guarantee that the image obtained using this mode will be identical to the CD.

  • Extract subcodes:

Information:
On a CD there are 8 special bytes called 'Subcodes', noted P,Q,R,S,T,U,V,W.

* P Subcode is used by the CD mechanism to determine if the laser pickup is located within or without a track.

* Q Subcode is used by the mechanism to determine the absolute position of the laser pickup. Due to the storage method of the Q Subcode, the position returned is not very precise, and can't be used to access a single byte on a CD.

* R to W Subcodes are rarely used: Only for CD-Text or CDG+D (Karaoke CD).

P,Q Subcodes can be extracted by most CD units.

R to W Subcode extraction is more rarely supported.

At writing time, most CD writers internally generate proper Subcodes for the CD, however, this is standard Subcodes. When special Subcodes are needed, it is necessary to use DAO writing so the CD writer will use the Subcodes provided by the writing application instead of its own internally generated ones. Blindwrite offers this ability with writers that support it.

When to extract subcodes?
To duplicate a CD correctly, Subcode extraction is often optional, but sometimes it is needed. Here is a table to give you an overview:
Type of original CD | Subcode extraction
Standard AUDIO CD, ENHANCED AUDIO CD, With or without CD-TEXT | Unnecessary
Karaoke CD (CD-G+D), AUDIO CD with IMAGES | Extraction of Subcodes P-W needed
CD-I, CD-XA | Unnecessary
PC-CDROM, PC Safedisc (tm) CDROM | Unnecessary
PC-CDROM with Securom (tm) | Extraction of Subcodes P,Q or P-W needed
PSX CD with standard protection | Unnecessary
PSX CD with Securom (tm) | Extraction of Subcodes P,Q or P-W needed
Dreamcast (tm) Backup CD | Unnecessary

However, if your CD writer is able to extract subcodes, we recommend to let this option ALWAYS activated, if you want to obtain a full 1:1 copy.

CD Image options:

Here you can set the main image file name, and the format of the image file.

File name:
Every time a new CD is detected, an image filename is proposed by Blindread automatically. You can change it freely. The file extension is ignored, it'll depend on the output format.

Select the storage folder for the image carefully. The free space required on HD is often huge (up to 800 Mb)

Image output format:
You can choose between 3 different formats for the CD image:

Blindwrite (recommended format) - 2 or 3 files will be generated
* BWT - The control file
* BWI - The image file
* BWS - The Subcode file (not created if Subcode extraction is not selected)

CDRWIN, FIREBURNER - 2 or 3 files will be generated
* CUE - the control file
* BIN - The image file
* SUB - The Subcode file (note that Subcode handling is NOT provided in CDRWIN or FIREBURNER)

ISO with 2352 bytes/sector - 2 files are generated
* ISO - The image file
* SUB - The Subcode file

IMPORTANT:
The ISO format can be handled by most CD recording apps, with the following limitations:
- CD is limited to A SINGLE TRACK
- The application that uses the ISO file must support CD image at 2352 bytes/sector (OK for NERO or DISC JUGGLER, but unsupported by EZ CD CREATOR)

Comments (optionnal):
You can personalize the extracted image with a text of your choice.


BlindRead Manual - Recover from partial extraction

Step 3 (optional): Recover from partial extraction

If a CD image has been found at the location you have entered, this window will show up. With it, you can restart from a precedent extraction.

Once you have set the required restart position, you can click NEXT to proceed to extraction.

Recover information:

CD Label displays the volume name found on CD, as well as the volume name found in the partial image.

If the background is GREEN, the image matches the CD. In that case, the current progress position indicates where the extraction has been cancelled.

If the background is RED, the image doesn't match. It is highly recommended to restart the extraction from the beginning.

If the background is BLUE, the image match can't be determined. This is the case for AUDIO CD's.

This is the sector offset from where the extraction process should be restarted. The value is pre-set to restart exactly were the previous extraction has ended.

You can restart AFTER the last extracted sector in the CD image. In that case, all the sectors between the last available sector in the image and the sector to restart from are completely zeroed (and will result as unreadable sectors in copied CD)

Preset buttons:

: The extraction restarts after the last sector available in the CD image.

: The extraction restarts at the 1st sector of the last extracted track. It should be used for AUDIO CD's, as there is no possible guarantee that the extraction process will perfectly continue from were it has been stopped, so you might get an audible crack on the copy at this position if you don't restart at the beginning of the current track.

: Complete CD extraction is set, all the previously extracted data will be overwritten.


BlindRead Manual - Extraction

Step 4: Extract image

Once the parameters have been set up properly, you can start the CD image extraction by clicking on the READ button, and eventually abort it with the CANCEL button.

Extraction method Speed adaptation Extraction in progress Canceling extraction

Extraction method:

1 - Nibble (bit by bit) (recommended method):
This method is best to handle errors localized in non-contiguous sectors, like on Safedisc (tm) CD's. This method provides accurate result in any case.

2 - Multiple gaps:
This method is best to handle big zones of massive CD destruction, like LockBlok (tm) or Laserlock (tm) CD's.
Whenever there is a large gap of contiguous unreadable sectors on the CD, this method should be preferred.

TIP:
 Such CD's often have large visible rings with uncommon frames on the CD side, so the CD doesn't look normal on the surface.

To eject the CD at the end, check the case [image].

Speed adaptation:

Blindread has the ability of adapting its speed to the best value a CD unit can support.

If [image] is checked, the read will slowdown to the minimum speed if a read error is encountered, or will accelerate up to maximum speed if the precedent read operation is error free.

The label [image] shows in real-time which read speed is set in the CD reader.

NOTE: Speed settings and the REAL extraction rate have no direct relationship.

The speed adaptation settings can be changed ANYTIME, the changes are effective immediately.

Extraction in progress:

Once you clicked on the [image] button, the extraction starts.

Here you can watch the extraction engine status and errors in real time. On this snapshot everything is OK.

There is a real-time information about the extraction progress. The text displays:

* [image]: Elapsed time since the extraction startup.

* [image]: Estimation of remaining extraction time.

CAUTION
 For CD's that contain lots of bad sectors this information is TOTALLY INACCURATE. 20H or more may be displayed for a CD that will be extracted in about 1-2 hours in fact. This is caused by a big slowdown of the CD unit on erroneous sectors.

* [image]: This is the average bit rate and extraction speed since the extraction has started.

Canceling extraction:

You may want to cancel extraction for several reasons. The most common one is a CD unit which is stuck.

Clicking on the [image] button ONCE guarantees a SAFE extraction cancellation, but it will take effect as soon as Blindread can safely abort the process. If the CD reader is stuck, it might be impossible to exit safely.

Clicking THREE MORE TIMES on the [image] button will cause a RAW EXIT of the extraction process, but it is likely that the CD unit will stay stuck and you'll need to reboot to recover the use of your CD unit.


BlindRead Manual - Extraction completion

Step 5: When the extraction is complete

You'll get to this point when the extraction has completed, with or without errors

Extraction success:

Some information is displayed in this window:

  • CD Label
  • The number of bad sectors (or special zones) found on the media.
    Here are some examples:
    • 0 = Extraction is ok, no difficult sectors were encountered.
    • 1-10 = Either there is data loss on the CD, or a gap protection scheme.
    • 800-2000 = This is the approx. number of special zones encountered on a CD protected by SafeDisc(tm). This is a normal situation and the image is probably ok.
    • 10000 and more = The CD is very very dirty, or damaged, or very protected, as the BLEEM(tm) CD KEY, for example.
  • The TOC = Table Of contents

    displays the track details of the CD

    Note:
    Click [image] to write the track details (described above) into a text file.

Extraction failed:

The extraction may fail for extraction cancellation, or an internal critical error.

The window title will look like this:

The yellow box displays the problem that has caused the failure. In this snapshot, the extraction has been cancelled at sector 50254.


BlindRead Manual - Cd Information page

CD Information page

This page is designed to unlock a locked CD from a drive, and to gather the TOC (table of contents) from the CD.

Eject/Load the CD:

Clicking the [image] button causes the tray to close, if there is a tray and it's open...

Clicking the [image] button causes the tray to open, if there is a tray. Note that this action is potentially able to open the CD tray even if the tray is locked and the open button of the CD unit does nothing.

Information:

At first, you must select a unit in the combo box, e.g.

Once you have clicked on the [image] button, BlindRead tries to determine the content of the CD inserted in the CD unit of your choice.

If there is a readable media inserted, you should see the following information:

A textual representation of the TOC.

Each line corresponds to a TRACK and is always formed like this:
Track xx - Track Type - Start address of the 1st track sector to End address of the track-1.

This is an example:
Track 01 - MODE 1 - 00:00:00 (000000) to 32:12:35 (14935)

  • Track 01: Track Number: 01
  • MODE 1 - Data type (MODE1)
  • 00:00:00 (000000) - Start address of INDEX 01 of the track, in M:S:F (LBA)
  • 32:12:35 (144935) - End address of the track, in M:S:F (LBA)

M:S:F means Minute : Second : Frame (= 1/75 S)

Extraction engine capabilities:

A small read is attempted with the inserted media. The result of this read attempt is displayed as below:

: Indicates the result of the DATA read test on the media.

: Indicates the result of the AUDIO read test on the media.

: Indicates the approximate size the CD image will take on HD.


BlindRead Manual - Global settings

Global settings

This window is accessible from the startup page, just select the last option of the list.

Internet update check:

If you check [image] Internet will be interrogated on a [image] days basis to find and download newer BlindRead versions.

The [image] button does an immediate upgrade checking over the net.

NOTE:
* An internet connection has to be established
* No information is sent during the check update process

Home site:

The address of our home site is http://www.blindwrite.com
You can click on this address to open your web browser.

Sounds:

A sound can be played by BlindRead, once the extraction has finished.
Check [image] to enable the sound playing.

Directly type the WAV file to play, or browse for it by clicking the [image] button.
Verify the sound by clicking the [image] button.

Choose / Test the CD access layer:

We're in the "BlindRead heart".
Here you'll select the driver which controls your CD units.

You have the choice between:
- The "VSO Driver" driver which has been written specially for BlindRead\BlindWrite (it's recommended to use this driver).
- Other drivers or ASPI layers.

For more details about the driver installation, click here

Now we'll verify that your units have been recognized.
Click on the [image] button which corresponds to the driver you have chosen.

  • If you have chosen the "Patin-Couffin" driver, you'll obtain a window like this one:
  • If you have chosen another driver than "VSO Driver", you'll obtain a window like this one:

In one of these 2 windows you should see all your CD units (CD\DVD reader, CD writer) regardless of the bus type (IDE, SCSI, //, FireWire, USB, ...).
When doing a right click on your units, you have access to some system commands (open\close the tray ....) as you can see above.

Then click on "Ok" twice, to confirm your choice.
Click on "Next" to return to the startup page.


BlindRead Manual - Language selection

Several languages are supplied with Blindread and Blindwrite. They can be changed at runtime.

Many languages are currently available with BlindRead/BlindWrite. Attention: Many translations are recent, others are a bit older. English, French and German versions are always the most recent ones.

Language selection

This window lets you select the language of your interest.

The button [image] opens a dialog to fetch new supported languages.

The process of gathering Internet languages shall not be described in detail here:

* Click 1 - Refresh list (the engine will contact the Internet)

* Select the language of your interest in Downloadable translations

* Click on 2 - Install a language (the language is being downloaded from the net)

* Click on 3 - Close this dialog

The newly downloaded language will be available in the language selection window, and you can switch to it.

Language file naming convention:

Just in case someone cares for it.

A language localization of Blindread or Blindwrite is supported through a language file with the extension SPK. This language file is not directly editable or easily modifiable.

The name of each SPK file is composed of:

* An arbitrary prefix - BR for BlindRead, BW for Blindwrite

* 4 Hex digits, that represent the REVISION of a given language - this is to support multiple translations of the same language.

* 4 Hex digits that represent the LANGUAGE CODE of a translation - This code is standard and can be found in Windows documentation.

* The extension .SPK

e.g.: BR0002040C.SPK means BLINDREAD, REV. 2, FRENCH


BlindWrite Manual - Introduction

Introduction

Blindwrite is a RAW-MODE CD writer utility.

RAW-MODE, what's this?

In regular CD writer applications, the minimal amount of data is sent to the CD writer. All the extra data for error correction, as well as formatting data is generated internally in the CD writer. This is done to avoid creating CD's with errors, or outside the CD specifications.

RAW-MODE writing gives the full responsibility to the CD application, and the CD writer doesn't perform any data creation or correction on the data it receives.

Why RAW-MODE?

Sometimes you need to reproduce CD's outside the standard. Without a RAW MODE writer, it's just impossible.

Here is a summary of CD types that can ONLY be reproduced by a RAW-MODE writer:

Type | Needed for
Bad sectors | Copy protected CD's based on read errors (Safedisc (tm), Laserlock (tm), Lockblock (tm), Bleem, ...)
CD larger than supposed | Copy protected AUDIO CD (Cactus Data Shield)
CD with bad TOC entries | Some copy protected CD's (Bleem)
CD with ghost/erased tracks | Laserlock (tm), Lockblock (tm)
CD with special subcodes | Securom (tm)
CD with mode track switch | Securom 2 (tm)
Faked files | NO NEED TO USE RAW-MODE WRITING

In fact, almost any copy protected CD requires a RAW-MODE writer to produce a workable copy. Any other form of copy will result in a unrecognized CD.

CAUTION:
It is ILLEGAL to produce workable copies of copyrighted material if you do not own the original. Use the copy ONLY for backup purposes!

Compatible devices

As RAW-WRITING is an uncommon way to produce CD's, it is not supported by all CD writers.

Click HERE to find more details about CD-Writer compatibility issue.

Now, let's start to write...


Manuel de BlindWrite - Welcome window

Welcome window

When you run the application, you'll see the welcome window:

From this page, you can:

* [image] - To start the CD writing process

* [image] - To quickly erase a re-writable CD (CD-RW)

* [image] - To switch to another language

* [image] - To configure global options

We'll now configure BlindWrite.


BlindWrite Manual - CD access layer Configuration

CD access layer Configuration

This step will allow BlindWrite to obtain the best performance of your units due to our "Patin-Couffin" driver.
We'll verify that this one is correctly installed and working.

Start the application.

Choose "BlindWrite configuration", then click on the "Next >" button.

Click on the "Select ASPI layer to access CD device" button.

We're in the "BlindWrite heart".
Here you'll select the driver which controls your CD units.

Choose "VSO Driver (recommended)".
This driver has been specially written for BlindRead\BlindWrite.

Note:
In case you don't want to install our driver, BlindRead can search for other ASPI layers/drivers, that can control your units.
To do so, click on "ASPI layer (Windows default)", then click on the "Scan system for ASPIs" button.
BlindRead will search files on your system that can substitute our driver (this step may take a few minutes).
Select the driver you want to use, then click on the "Ok" button to return to the previous screen, and finally on the "Next" button to return to the startup page.

Click on the "Install / Update" button.

  • If you are using Windows 9x, you are asked to reboot:


BlindWrite Manual - Select CD writer

Step 2: Device selection

Once a CD writer is selected, this window will summarize its capabilities.

CD Writer selection CD Unit Information

CD Writer selection:

In the combo box you can select a CD writer to use. Some unsupported CD units may not appear in the list. As Blindwrite is improved, we constantly support new units, no matter whether they are old or recent.

CD Unit Information:

There is two information displayed: The one the CD unit returns, with internal test (in the left pane), and the one that comes from our CD unit database (in the right pane), with verified information. Sometimes it's different...

* [image] is the maximal write speed

* [image] is the maximal read speed, as claimed by the manufacturer

* [image] is the size of the unit internal buffer - big value is better.

* [image] is the write speed on rewritable CD's. This information can't be retrieved from the unit itself, so it only appears in the right pane.

* [image] shows the support of DAO PQ RAW-MODE writing. Click link to learn more about it.

* [image] shows the support of DAO PW RAW-MODE writing. Click link to learn more about it.

* [image] shows the support of the BURN-PROOF (tm) technique. BURN-PROOF removes any risk of the "loss of streaming" error. This is a great plus...

* [image] shows the support of writing/erasing CD-Rewritable.

IMPORTANT NOTE: If the CD unit is unknown, some '?' may appear in the right pane. THIS DOESN'T MEAN THAT THE UNIT WILL NOT WORK FINE. This just means that we don't know if it'll work fine or not. You still have the opportunity to test it, with the information provided by the unit itself.

Click HERE to learn more about testing a unit.

CD unit compatibility Write modes

CD unit compatibility:

Not all CD writers are capable of RAW-MODE writing. Click on the button [image] to get the latest list of CD units that support RAW-MODE writing.

More info on unit compatibility can be found HERE.

Write modes:

In this zone BlindWrite indicates you all writing modes that are supported by your CD writer.

This information is returned by your unit, and by our database.

Note:
However, you can select other writing modes to make tests.
We suggest to make your tests on a rewritable CD (CD-RW) in case the write mode fails, and to copy an unprotected CD (audio CD, magazine CD, ...).

If you have added/removed write modes, click on the [image] button to save your settings.


BlindWrite Manual - CD image selection

Step 3: CD image selection

To write a CD, you must select a CD image file previously extracted from a CD extraction application,
or select a directory that contains WAVE, MPG, MP2, or MP3 files.

Select CD image Information

Select CD image:

You can type the name of an image file directly into the edit zone, or click [image] to browse CD image files across your computer.

You can also drag-drop an image file from the explorer to this window.

Blindwrite accepts CD images of 4 formats:

Image format | main file extension | CD image generated by
Blindwrite | .BWT (up to 3 files - .BWT, .BWI, .BWS ) | Blindread > 3.0.0.23
CDRWIN | .CUE (2 files - .CUE and .BIN) | Blindread (any version) Goldenhawk CDRWIN IGD's FireBurner
MightyWriter | .WAV (1 file - .WAV) | Poikosoft MIGHTYDAC
Iso 9660 | .ISO (1 file - .ISO) | Lots of CD software can do

Select a Folder:

To burn an audio CD, you can type the name of a folder directly into the edit zone, or click [image], to browse for folders across your computer. All the audio files with a proper format will be included in the creation of an audio CD.

A folder selection window like this one will pop up.

Once you have made up your choice, this window may pop up.

The MP* files need to be verified before writing.

This operation takes significant time, up to 2 minutes depending on your computer speed and the number of files the selected folder includes. If the folder contains more MP3 files than an audio CD can contain, BlindWrite tries to best fit the CD, up to 79:50:00.

All the files are inserted in the CD layout in alphabetic order. Currently there is no editor available to customize the audio CD layout created by browsing a folder for audio files.

MP3 - WAV file support:

The audio engine of Blindwrite currently supports WAVE files (*.WAV), and all layers of MPEG 1 audio files (*.MPG, *.MP2; *.MP3). The audio decoder is fully built-in. No third party component is required - only Blindwrite.

The output format of the audio file MUST be 44100 Hz, Stereo, 16 bits/samples (if applicable). Down/up sampling and format conversion is not (yet) implemented.

Audio files can be inserted in a CD layout automatically (by selecting a folder containing audio files, or manually, with all the audio files referenced inside a CUE file.

Sample declaration of a CUE file:
FILE "K:\MP3\Faithless - Insomnia (Monster Mix).mp3" MP3
TRACK 01 AUDIO
INDEX 01 00:00:00

Important note:
* MP3 files must be checked carefully before writing. This process may take up to one minute to complete.

* MP3 decoding takes some significant processor time. We have collected the following results:

Machine description + hard disc | Average decoding speed | Recommended writing speed settings
PII - 300 MHz - 196 Mb RAM Windows 2000 PRO - 6 GB IDE Disk | * 8.43 on SCSI-based unit * 5.95 on IDE-based unit | * 4
PIII - 733 MHz - 256 Mb RAM Windows 2000 Server - 34 GB SCSI Disk | * 22.58 | Any ...
Duron 1000 MHz - 256 Mb RAM Windows Millennium - 15 GB Disk | *34.29 MP3 Files in local 15 Gb IDE disc * 28.11 MP3 files across 100 Mbps LAN | Any ...

I nformation:

not detailed.


BlindWrite Manual - CD Image verification

Step 3b (optional): CD Image verification

During this step BlindWrite verifies that the image is valid.

The verification process begins when you click on the [image] button.
This step is optional but it allows to bypass some errors.

BlindWrite performs 2 types of verifications:
- The image validity (size, headers, file systems, and volume name)
- Protection research (read errors and weak sectors)

If the analysis is ok, you'll obtain the following icon [image], in the opposing case, this one [image].

Then BlindWrite indicates its conclusion, and tries to determine the best writing mode, if possible.

If you obtain the following recommendations...

...don't write the image!


BlindWrite Manual - Writing

Step 4: Writing

Once the write parameters are set, click the [image] button to start writing.

#writeparameters Write parameters Statistics

Start writing:

Once a CD-RW or an empty CD-R has been inserted into the CD unit, click [image] to start the write.

In [image] the inserted CD is described.

In [image] the amount of space that the CD image will take on the CD is displayed.
If Overburning is required, the label will appear in RED.

BE CAREFUL: Extreme overburning (more than 2 minutes of disc capabilities) should be avoided. You are risking a coaster, and your CD writer can be damaged. In general, don't try to exceed 1 minute of overburning.

Once the writing has started, a click on button [image] will cancel the write process. The cancellation is clean, so it takes up to 1 minute to cancel the write.

Before the cancellation takes effect, a confirmation is required.

The [image] button, will allow you to create multiple copies of an image.

Write parameters:

* [image] is the writing mode to be used by the CD writer. HERE you can find more details on various writing modes.

* [image] is the required writing speed. This value is pre-set to the recommended value, or maximum value if the unit is unknown.

NOTE: The REAL writing speed may differ from the required one. In particular, slow or very slow writing speeds (*1, *2) are no longer supported by a lot of recent CD writers.

* [image] This option allows to write sectors more correctly that could have been hardly read due to a copy-protected CD.

* [image] causes the CD tray or caddy to be ejected once the write has been completed. This parameter can be set anytime.

Write progression:

3 bars indicate the global writing progress:

* TRACK - The progress of the current track

* CD - The progress of the full CD (this indication is BAD with multi session CD's as with BlindWrite version 0.99.1.2, it'll be corrected in a future release)

* CACHE - Is the status of the layer 2 (external to CD writer) cache. The size of this cache can be set on the GLOBAL PARAMETERS page.

Statistics:

* [image] Is the current track / status of the writing engine.

* [image] Time since the writing has begun.

* [image] Estimation of time needed to complete the write.

* [image] The REAL write speed - may differ from the selected write speed.


BlindWrite Manual - Report

Step 4: Report

When the write process has ended, BlindWrite shows its report.

If you have errors or technical problems, please send a copy of this report to our technical support.
For this reason, the report is written in English only.


BlindWrite Manual - Program Parameters

Program Parameters

This window is accessible from BlindWrite's startup page, just select the last option of the list.

Sounds Internet update check Cache Size

Sounds:

You can have a sound played at the end of a writing process to signal its success or failure.
BlindWrite can play WAV sounds.
To do so, just check the boxes for the sounds that you want to enable.

Directly type the WAV file to play [image] or browse for it by clicking the [image] button. Verify the sound by clicking the [image] button.

Internet update check:

If you check [image], Internet will be interrogated on a [image] days basis to find and download newer BlindWrite versions.

The [image] button does an immediate upgrade checking over the net.

NOTE:
* An internet connection has to be established
* No information is sent during the check update process

Cache Size:

It's recommended not to modify this option. Keep the [image] option checked.
If you uncheck it, you'll have to set the cache size manually.

Misc. Options:

You can bypass step 2 (CD Writer Selection) by checking the [image] option.
So you will directly pass from step 1 to step 3.

You can associate files with the extension BWI, BWT, BWS (BlindRead image format) with BlindWrite by clicking on the [image] button.

Choose / Test the CD access layer:

We're in the "BlindWrite heart".
Here you'll select the driver which controls your CD units.

You have the choice between:
- The "VSO Driver" driver which has been written specially for BlindRead\BlindWrite (it's recommended to use this driver).
- Other drivers or ASPI layers.

For more details about the driver installation, click here.

Now we'll verify that your units have been recognized.
Click on the [image] button which corresponds to the driver you have chosen.

  • If you have chosen the "VSO Driver" driver, you'll obtain a window like this one:
  • If you have chosen another driver than "VSO Driver", you'll obtain a window like this one:

In one of these 2 windows you should see all your CD units (CD\DVD reader, CD writer) regardless of the bus type (IDE, SCSI, //, FireWire, USB, ...).
When doing a right click on your units, you have access to some system commands (open\close the tray ....) as you can see above.

Then click on "Ok" twice, to confirm your choice.
Click on "Next" to return to the startup page.


BlindWrite Manual - Language selection

Several languages are supplied with Blindread and Blindwrite. They can be changed at runtime.

Many languages are currently available with BlindRead/BlindWrite. Attention: Many translations are recent, others are a bit older. English, French and German versions are always the most recent ones.

Language selection

This window lets you select the language of your interest.

The button [image] opens a dialog to fetch new supported languages.

The process of gathering Internet languages shall not be described in detail here:

* Click 1 - Refresh list (the engine will contact the Internet)

* Select the language of your interest in Downloadable translations

* Click on 2 - Install a language (the language is being downloaded from the net)

* Click on 3 - Close the dialog

The newly downloaded language will be available in the language selection window, and you can switch to it.

Language file naming convention:

Just in case someone cares for it.

A language localization of Blindread or Blindwrite is supported through a language file with the extension SPK. This language file is not directly editable or easily modifiable.

The name of each SPK file is composed of:

* An arbitrary prefix - BR for BlindRead, BW for Blindwrite

* 4 Hex digits, that represent the REVISION of a given language - this is to support multiple translations of the same language.

* 4 Hex digits that represent the LANGUAGE CODE of a translation - This code is standard and can be found in Windows documentation.

* The extension .SPK

e.g.: BR0002040C.SPK means BLINDREAD, REV. 2, FRENCH


BlindWrite Manual - Erase CDRW Page

Erase CDRW Page

This page allows you to erase your re-writable CD or CD-RW.

Note:
Your CD writer must support this kind of media, if you want to use this function.

First, you must select your CD writer in the list box.
BlindWrite analyzes the media type, as indicated in this field: .

Note:
These are the different messages that BlindWrite can indicate to you:
- Full, Rewritable
- Blank, Rewritable
- Full
- Blank, CD-R

You can erase a CD-RW only if the media is recognized as "Full, Rewritable".

Finally, click on the [image] button.


BlindWrite Manual - Common errors

Common errors / problems

Here you can find a description of the most commonly reported errors:

05 24 00 [Illegal request, Invalid field in CDB]

Context: When using a SAO writing mode, before the writing begins

Cause: The CD writer has rejected the CUE SHEET

Solution: The SAO writing mode can't be used to write this CD

00 00 00 [No error reported by device]

Context: When using a DAO writing mode, before the writing begins

Cause: The CD writer has refused to switch to DAO mode for an unknown reason

Solution: Please report this kind of error, as it is often a problem that can be solved

03 0C 09 [Write error, loss of streaming]

Context: In any writing mode, it happens during the write operation

Cause: During the write process, the engine hasn't been able to maintain the data feed at a proper level. All the caches have been depleted, and the CD writer ran out of data to write before the end of CD.

Solution: Close any other application running in the background. Reduce the writing speed, use a BURN-PROOF(tm) writer.

05 21 00 [Illegal request, LBA out of range]

Context: On the very first writing operation, in DAO or SAO RAW RW writing mode

Cause: The CD writer doesn't support DAO or SAO RAW RW writing mode

Solution: Use another writing mode, or another CD writer.

A message box pops up telling that the exclusive access to the CD writer can't be obtained.

Context: When starting to write

Cause: Another application (might also be the OS) currently uses the CD unit, or the OS or ASPI version doesn't support the exclusive drive reservation.

Solution: This error is not really a problem. It is best to have the exclusive access to a drive for writing, so there is no chance other applications might disturb the writing, nevertheless, there is a reasonable chance the write properly even if the drive can't be reserved for exclusive access.

It is reported that the Power Calibration has failed.

Context: At writing completion

Cause: Some CD writers support power calibration, others don't.

Solution: None, this problem will not cause any failure on the CD.

After writing a CD in DAO or SAO RAW mode, the CD is written, but it is empty.

Context: Writing with an unknown / untested CD unit.

Cause: Improper support of DAO or SAO RAW by the CD unit

Solution: Use another writing mode, or a CD unit verified to be compatible with DAO or SAO RAW.

The CD copied can hardly be read.

Context: -

Cause: There are 3 possible causes (from the most probable to the less probable):

1 - Your CD writer is aging and/or the CD media isn't very good.

2 - Often with DAO mode, it's harder for the CD unit to produce a CD with a good contrast, so copies with DAO mode are sometimes harder to read.

3 - The CD image contains wrong/erroneous/erased data

Solution:

1 - Change media and/or CD unit.

2 - Use a recent DAO capable CD unit

3 - Re-dump the CD image with a better CD reader

The CD copy contains data, but isn't working (is not identified as an original)

Context: Copy of a copy-protected CD.

Cause: The 1:1 copy has failed for one or more of the following causes:

* Bad CD image extraction

* Subcodes haven't been extracted/written

* Improper choice of extraction/writing modes

* A smart copy protection scheme that is not supported by Blindwrite.

* The hardware is not compatible

* ...

Solution: Far outside the range of this document. Take a look at the link page to find useful information.


BlindWrite Manual - Compatible CD writers

Compatible CD writers:

Each CD writer supports more or less writing modes. Blindwrite has a list of CD units that summarizes all the information we have.

NOTE: As the quantity and layout of the information presented in this window shall change soon, it is not included in the translation, and always appears in English.

Information:

* [image] This is the number of units stored in the database, and the date of the last update.

* [image] This is the name of the CD unit, as it appears in the CD selection window

* [image] Summarizes the read speed, write speed, rewrite speed and buffer size of the unit.

* [image] This is the internal firmware revision of the unit we have tested. If this field is blank, this unit HASN'T BEEN TESTED by us.

* [image] Summarizes the writing mode supported by the unit:

- If the unit is 'unsupported yet', it means that BlindWrite isn't able to use this unit.

- If the 1st character is a '?', we are not sure of the information provided. A '?' is always followed by a number of different writing modes we suspect to work with this unit. NO UNVERIFIED INFORMATION ON SPECIFIC DAO or SAO mode is provided with an unconfirmed unit. For short, use it at your own risk.

- If the 1st character is a number, it indicates the number of writing modes supported (from 1 to 5). This information is followed either by:
* DAO OK - means at least one DAO mode is supported
and / or
* RAW OK - means at least one RAW capable mode is supported (DAO or SAO RAW)

Example:

2 - DAO OK - RAW OK
This CD writer supports 2 writing modes. RAW and DAO mode (can write specific subcodes).

3 - RAW OK
This CD writer supports 3 writing modes. RAW is supported, but DAO isn't (it can't write specific subcodes)

CD List feature:

Click on [image] to update the list automatically. You must have a valid internet connection for this operation.

Click on [image] to print the full list to a printer.

Once finished to browse the list, click on [image] to return to the CD unit selection window.

Internet list, in plain text:

We try to keep an updated CD unit compatibility list.

You can find it at:

List of tested / well known CD writers

The most accurate list will always be the latest downloaded list from the Internet.

-


BlindWrite Manual - Differences between Writing modes

Writing modes - Their importance, their capabilities

As explained in the introduction, RAW-MODE is important to reproduce some special CD layouts.

As we're in a real complex world, there are SEVERAL kinds of raw mode, differently supported by CD writers.

Some units support every RAW mode possible, others only support a few, and even rare units support no RAW mode at all.

Here is a list of every mode supported by Blindwrite, in the order of preference:

* DAO PW - Supports ANY kind of CD scheme. The best of all.

* DAO TEAC - A cousin to DAO PW, only available on TEAC55 units or clones.

* DAO PQ - A good alternative to DAO PW - Doesn't support CD-TEXT or CD-G+D

* SAO RAW RW - Doesn't support fake TOC (the unit returns error 05 24 00), doesn't support special Subcode schemes.

* SAO RAW - Supports only uncorrected writing - not so bad in fact, it's still ok in most cases.

* SAO COOKED - This last mode is a "compatibility" mode, which isn't RAW. So it doesn't produce working copies of copy-protected CD's, but still produces normal CD's as any other CD recording application.

Which writing mode is required?

Here is a summary of all writing modes with their capabilities:

Writing mode | Useable with | Description | Usage
DAO PW | 100% RAW compatible writers | Data is written raw, all Subcodes are supplied by the application. | Any - CD, CD-I, ... Your CD writer MUST be RAW P-W compatible
DAO TEAC | TEAC 55 or clones | Data is written raw, TOC is generated by the CD writer, all subcodes are supplied by the application | Any - it is just a little less powerful than DAO PW TEAC55 supports this mode only, and this mode is available ONLY on TEAC55 units.
DAO (PQ subs) | RAW compatible writers | Data is written raw, PQ Subcodes are supplied by the application, RW Subcodes are set to zero by the writer. | Any CD that contains bad sectors, and/or has a special PQ Subcode layout. Your CD writer MUST be RAW PQ compatible
SAO RAW (RW subs) | recent writers (rarely supported) | Data is written raw, PQ Subcodes are generated by the CD writer, and R-W Subcodes are supplied by the application. | Any CD that contains bad sectors, and doesn't have a special Subcode layout. This mode is not supported often.
SAO RAW (no subs) | most recent writers | Data is written raw, all Subcodes are generated by the CD writer. | Any CD that contains bad sectors, and doesn't have a special Subcode layout. This mode is supported frequently.
SAO Cooked | Almost all writers capable of session at once writing | Data is written corrected, all Subcodes are supplied by the CD unit. This is NOT a RAW mode. | When everything else has failed.

A wrong statement!

As DAO mode is clearly the best available, one could think that this mode should be used anytime. It may, but that's not the best. The complete technical issue is rather complex and out of the purpose of this user manual. In the facts, The DAO mode produces CD's with less readability than the SAO mode. For short, the data sent to the laser head is more accurately timed, and the power calibration of the laser head is more accurate with a SAO writing mode. That makes CD's easier to read, and sharper.

As a conclusion, if you know what's needed to reproduce a given CD (special subcodes or not), using SAO as often as possible is a better choice. If you don't know all that, and don't want to know, you may choose a DAO writing mode every time if your CD writer allows it.


BlindWrite Manual - Guidelines for using an unknown CD writer

What can I do if my CD writer is unknown/untested?

Currently we are not able to test all CD units that exist. Every unit that hasn't been tested DIRECTLY by us is reported to be untested, so there is strictly no guarantee on its capabilities.

BUT, AN UNTESTED / UNKNOWN UNIT DOESN'T MEAN THAT THIS UNIT IS INCOMPATIBLE. We just don't guarantee its compatibility.

Guidelines for using an unknown CD writer:

ANY unit found by Blindwrite can be used for testing. Here are the guidelines:

1 - The First time, use a CD-RW media if possible. So, you won't waste a CD if the method fails.

2 - The best CD for testing is a mixed-mode CD that contains both AUDIO and DATA. Enhanced CD's (AUDIO CD with a DATA track in a second session) are the best ones to use. An AUDIO CD alone isn't sufficient enough to test the unit capabilities properly.

3 - Use the writing modes in the following order:

* DAO PW
* DAO PQ
* SAO RAW RW
* SAO RAW
* SAO COOKED

4 - If the burn completes properly with any of the writing modes, VERIFY that the copied CD contains all the tracks and the data as on the original CD. A common failure is to get a written CD, but BLANK.

Report your tests:

To share the results of your test with all BlindWrite users, you can report the results to: blindread@blindread.com

Please include in your mail:

* The EXACT string describing the CD unit (e.g. "0:2:0 - TEAC CD-R58S 1.02a (D:)")

* The version number of Blindread & Blindwrite

* The CD layout you have used (DATA CD, MIXED MODE, AUDIO, ENHANCED)

* The result for each writing mode you have tested (working copy, non-working copy, unreadable copy, error during copy, error before copy, writing mode unavailable...)

After a small verification, we will enter all the data you have provided into the Internal CD unit database, so any user will profit by the tests you have made.


BlindRead / BlindWrite Manual - Glossary of terms

Glossary:

CD image: The exact representation of all the data contained in a CD, stored in a large file on Hard disk

Sector: A DATA CD is a sectored media, which means that the whole CD is organized in small parts called sectors. The sector is the minimal entity that can be manipulated.

A CD sector has a size of 2448 bytes.

Uncorrectable C2 error: Type of error in data sectors that can't be corrected by the error correction mechanism. A sector with such an error is unreadable in theory. Sometimes, uncorrectable C2 errors are used in anti-copy protection schemes.

Subcodes: Small additional information stored on CD for mechanical synchronization and head positioning purpose. Sometimes, specific subcodes are used in anti-copy protection schemes.

TOC: Table Of Content of a CD. The TOC is a summary of the CD.

RAW mode writing: The data sent to the CD writer by the recording application will be written 'AS IS'. The CD writer doesn't perform any validation or correction on the data it receives.

COOKED mode writing: All the data sent to the CD is validated, and corrected if necessary before it is written onto the media.

SAO: Session At Once. All tracks of a given session are written uninterrupted. Lead-in and Lead-out zones are under the responsibility of the CD writer (so they are generated automatically, with the information provided by a CUE SHEET sent to the CD writer). This mode can be either RAW or COOKED.

DAO: Disk At Once. The full CD is written from the very beginning (the Lead-in) to the very end (the Lead-Out). This mode is RAW and can't be COOKED.